tigase.jaxmpp.core.client

## Enum XMPPException.ErrorCondition

- java.lang.Object
- - java.lang.Enum<XMPPException.ErrorCondition>
  - - tigase.jaxmpp.core.client.XMPPException.ErrorCondition

- All Implemented Interfaces:
    Serializable, Comparable<XMPPException.ErrorCondition>
  Enclosing class:
    XMPPException

      public static enum XMPPException.ErrorCondition
      extends Enum<XMPPException.ErrorCondition>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `bad_request` the sender has sent XML that is malformed or that cannot be processed (e.g., an IQ stanza that includes an unrecognized value of the 'type' attribute); the associated error type SHOULD be "modify".
    `conflict` access cannot be granted because an existing resource or session exists with the same name or address; the associated error type SHOULD be "cancel".
    `feature_not_implemented` the feature requested is not implemented by the recipient or server and therefore cannot be processed; the associated error type SHOULD be "cancel".
    `forbidden` the requesting entity does not possess the required permissions to perform the action; the associated error type SHOULD be "auth".
    `gone` the recipient or server can no longer be contacted at this address (the error stanza MAY contain a new address in the XML character data of the element); the associated error type SHOULD be "modify".
    `internal_server_error` the server could not process the stanza because of a misconfiguration or an otherwise-undefined internal server error; the associated error type SHOULD be "wait".
    `item_not_found` the addressed JID or item requested cannot be found; the associated error type SHOULD be "cancel".
    `jid_malformed` the sending entity has provided or communicated an XMPP address (e.g., a value of the 'to' attribute) or aspect thereof (e.g., a resource identifier) that does not adhere to the syntax defined in Addressing Scheme (Addressing Scheme); the associated error type SHOULD be "modify".
    `not_acceptable` the recipient or server understands the request but is refusing to process it because it does not meet criteria defined by the recipient or server (e.g., a local policy regarding acceptable words in messages); the associated error type SHOULD be "modify".
    `not_allowed` the recipient or server does not allow any entity to perform the action; the associated error type SHOULD be "cancel".
    `not_authorized` the sender must provide proper credentials before being allowed to perform the action, or has provided improper credentials; the associated error type SHOULD be "auth".
    `payment_required` the requesting entity is not authorized to access the requested service because payment is required; the associated error type SHOULD be "auth".
    `policy_violation` the entity has violated some local service policy; the server MAY choose to specify the policy in the element or an application-specific condition element.
    `recipient_unavailable` the intended recipient is temporarily unavailable; the associated error type SHOULD be "wait" (note: an application MUST NOT return this error if doing so would provide information about the intended recipient's network availability to an entity that is not authorized to know such information).
    `redirect` the recipient or server is redirecting requests for this information to another entity, usually temporarily (the error stanza SHOULD contain the alternate address, which MUST be a valid JID, in the XML character data of the element); the associated error type SHOULD be "modify".
    `registration_required` the requesting entity is not authorized to access the requested service because registration is required; the associated error type SHOULD be "auth".
    `remote_server_not_found` a remote server or service specified as part or all of the JID of the intended recipient does not exist; the associated error type SHOULD be "cancel".
    `remote_server_timeout` a remote server or service specified as part or all of the JID of the intended recipient (or required to fulfill a request) could not be contacted within a reasonable amount of time; the associated error type SHOULD be "wait".
    `resource_constraint` the server or recipient lacks the system resources necessary to service the request; the associated error type SHOULD be "wait".
    `service_unavailable` the server or recipient does not currently provide the requested service; the associated error type SHOULD be "cancel".
    `subscription_required` the requesting entity is not authorized to access the requested service because a subscription is required; the associated error type SHOULD be "auth".
    `undefined_condition` the error condition is not one of those defined by the other conditions in this list; any error type may be associated with this condition, and it SHOULD be used only in conjunction with an application-specific condition.
    `unexpected_request` the recipient or server understood the request but was not expecting it at this time (e.g., the request was out of order); the associated error type SHOULD be "wait".

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static HashMap<String,XMPPException.ErrorCondition>` | `conditions`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XMPPException.ErrorCondition` | `getByElementName(String name)`
    `String` | `getElementName()`
    `int` | `getErrorCode()`
    `String` | `getType()`
    `static XMPPException.ErrorCondition` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static XMPPException.ErrorCondition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### bad_request

          public static final XMPPException.ErrorCondition bad_request

      the sender has sent XML that is malformed or that cannot be processed (e.g., an IQ stanza that includes an unrecognized value of the 'type' attribute); the associated error type SHOULD be "modify".

    - #### conflict

          public static final XMPPException.ErrorCondition conflict

      access cannot be granted because an existing resource or session exists with the same name or address; the associated error type SHOULD be "cancel".

    - #### feature_not_implemented

          public static final XMPPException.ErrorCondition feature_not_implemented

      the feature requested is not implemented by the recipient or server and therefore cannot be processed; the associated error type SHOULD be "cancel".

    - #### forbidden

          public static final XMPPException.ErrorCondition forbidden

      the requesting entity does not possess the required permissions to perform the action; the associated error type SHOULD be "auth".

    - #### gone

          public static final XMPPException.ErrorCondition gone

      the recipient or server can no longer be contacted at this address (the error stanza MAY contain a new address in the XML character data of the element); the associated error type SHOULD be "modify".

    - #### internal_server_error

          public static final XMPPException.ErrorCondition internal_server_error

      the server could not process the stanza because of a misconfiguration or an otherwise-undefined internal server error; the associated error type SHOULD be "wait".

    - #### item_not_found

          public static final XMPPException.ErrorCondition item_not_found

      the addressed JID or item requested cannot be found; the associated error type SHOULD be "cancel".

    - #### jid_malformed

          public static final XMPPException.ErrorCondition jid_malformed

      the sending entity has provided or communicated an XMPP address (e.g., a value of the 'to' attribute) or aspect thereof (e.g., a resource identifier) that does not adhere to the syntax defined in Addressing Scheme (Addressing Scheme); the associated error type SHOULD be "modify".

    - #### not_acceptable

          public static final XMPPException.ErrorCondition not_acceptable

      the recipient or server understands the request but is refusing to process it because it does not meet criteria defined by the recipient or server (e.g., a local policy regarding acceptable words in messages); the associated error type SHOULD be "modify".

    - #### not_allowed

          public static final XMPPException.ErrorCondition not_allowed

      the recipient or server does not allow any entity to perform the action; the associated error type SHOULD be "cancel".

    - #### not_authorized

          public static final XMPPException.ErrorCondition not_authorized

      the sender must provide proper credentials before being allowed to perform the action, or has provided improper credentials; the associated error type SHOULD be "auth".

    - #### payment_required

          public static final XMPPException.ErrorCondition payment_required

      the requesting entity is not authorized to access the requested service because payment is required; the associated error type SHOULD be "auth".

    - #### policy_violation

          public static final XMPPException.ErrorCondition policy_violation

      the entity has violated some local service policy; the server MAY choose to specify the policy in the element or an application-specific condition element.

    - #### recipient_unavailable

          public static final XMPPException.ErrorCondition recipient_unavailable

      the intended recipient is temporarily unavailable; the associated error type SHOULD be "wait" (note: an application MUST NOT return this error if doing so would provide information about the intended recipient's network availability to an entity that is not authorized to know such information).

    - #### redirect

          public static final XMPPException.ErrorCondition redirect

      the recipient or server is redirecting requests for this information to another entity, usually temporarily (the error stanza SHOULD contain the alternate address, which MUST be a valid JID, in the XML character data of the element); the associated error type SHOULD be "modify".

    - #### registration_required

          public static final XMPPException.ErrorCondition registration_required

      the requesting entity is not authorized to access the requested service because registration is required; the associated error type SHOULD be "auth".

    - #### remote_server_not_found

          public static final XMPPException.ErrorCondition remote_server_not_found

      a remote server or service specified as part or all of the JID of the intended recipient does not exist; the associated error type SHOULD be "cancel".

    - #### remote_server_timeout

          public static final XMPPException.ErrorCondition remote_server_timeout

      a remote server or service specified as part or all of the JID of the intended recipient (or required to fulfill a request) could not be contacted within a reasonable amount of time; the associated error type SHOULD be "wait".

    - #### resource_constraint

          public static final XMPPException.ErrorCondition resource_constraint

      the server or recipient lacks the system resources necessary to service the request; the associated error type SHOULD be "wait".

    - #### service_unavailable

          public static final XMPPException.ErrorCondition service_unavailable

      the server or recipient does not currently provide the requested service; the associated error type SHOULD be "cancel".

    - #### subscription_required

          public static final XMPPException.ErrorCondition subscription_required

      the requesting entity is not authorized to access the requested service because a subscription is required; the associated error type SHOULD be "auth".

    - #### undefined_condition

          public static final XMPPException.ErrorCondition undefined_condition

      the error condition is not one of those defined by the other conditions in this list; any error type may be associated with this condition, and it SHOULD be used only in conjunction with an application-specific condition.

    - #### unexpected_request

          public static final XMPPException.ErrorCondition unexpected_request

      the recipient or server understood the request but was not expecting it at this time (e.g., the request was out of order); the associated error type SHOULD be "wait".

  - ### Field Detail

    - #### conditions

          protected static final HashMap<String,XMPPException.ErrorCondition> conditions

  - ### Method Detail

    - #### values

          public static XMPPException.ErrorCondition[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XMPPException.ErrorCondition c : XMPPException.ErrorCondition.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XMPPException.ErrorCondition valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getByElementName

          public static XMPPException.ErrorCondition getByElementName(String name)

    - #### getElementName

          public String getElementName()

    - #### getErrorCode

          public int getErrorCode()

    - #### getType

          public String getType()

Copyright © 2006–2016 Tigase. All rights reserved.